Subject: bug#15235: 24.3.50; package.el updates load-path too late

From: Stefan Monnier <[email-masked]>
Date: Mon, 02 Sep 2013 21:50:34 -0400

> Shouldn't load-path updated first for the packge being intialized so
> that code in "*-autoloads.el" can load other elisp files in the package
> directory?

Actually, "nowadays" the *-autoloads.el file should begin by adding to
load-path so package.el doesn't need to do it any more.

        Stefan